! Genereaza matricea A
subroutine gen_A(n, A)

real a(n,n)
real x(n), y(n)

a =0.

! Insereaza cod
! Exemplu:
! do i=1,n
!	do j=1,n
!	a(i,j) =...
!	enddo
! enddo
!

! Hilbert:
ido: do i =1,n
jdo: do j =1,n
a(i,j) =real( (i+j-1) )
enddo jdo
enddo ido

! LOTKIN
! Hilbert +:
a(1,:) =1.

! Wilkinson 5:
!  do i = 1, 5
!    do j = 1, 5
!    a(i,j) = 1.8144/(i +j +1 )
! *10:
!    a(i,j) = 18.144/(i +j +1 )

! *20:
!    a(i,j) = 36.288/(i +j +1 )
!
!    end do
!  end do

! CAUCHY n =5
!x =(/1, 3, 5, 7, 9/)
!y =(/2, 4, 6, 8, 10/)

!do i =1,n
!do j=1,n
!      a(i,j) = 1./(x(i) + y(j))
!enddo
!enddo

END subroutine Gen_A
